Bug 1676751 (CVE-2019-7573) - CVE-2019-7573 SDL: heap-based buffer over-read in InitMS_ADPCM in audio/SDL_wave.c
Summary: CVE-2019-7573 SDL: heap-based buffer over-read in InitMS_ADPCM in audio/SDL_w...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-7573
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1676752 1716199 1716210
Blocks: 1676783
TreeView+ depends on / blocked
 
Reported: 2019-02-13 05:45 UTC by Dhananjay Arunesh
Modified: 2020-11-04 02:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-29 21:57:33 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3868 0 None None None 2020-09-29 19:23:48 UTC
Red Hat Product Errata RHSA-2020:4627 0 None None None 2020-11-04 02:29:24 UTC

Description Dhananjay Arunesh 2019-02-13 05:45:49 UTC
SDL (Simple DirectMedia Layer) through 1.2.15 and 2.x through 2.0.9 has a
heap-based buffer over-read in InitMS_ADPCM in audio/SDL_wave.c (inside the
wNumCoef loop).

Reference:
https://bugzilla.libsdl.org/show_bug.cgi?id=4491

Comment 1 Dhananjay Arunesh 2019-02-13 05:45:59 UTC
Created SDL tracking bugs for this issue:

Affects: fedora-all [bug 1676752]

Comment 3 errata-xmlrpc 2020-09-29 19:23:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:3868 https://access.redhat.com/errata/RHSA-2020:3868

Comment 4 Product Security DevOps Team 2020-09-29 21:57:33 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-7573

Comment 5 errata-xmlrpc 2020-11-04 02:29:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4627 https://access.redhat.com/errata/RHSA-2020:4627


Note You need to log in before you can comment on or make changes to this bug.